Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# jpeg_decompress_struct Struct Reference

`#include <jpeglib.h>`

## Data Fields
| jpeg_common_fields
jpeg_source_mgr * | src
JDIMENSION | image_width
JDIMENSION | image_height
int | num_components
J_COLOR_SPACE | jpeg_color_space
J_COLOR_SPACE | out_color_space
unsigned int | scale_num
unsigned int | scale_denom
double | output_gamma
boolean | buffered_image
boolean | raw_data_out
J_DCT_METHOD | dct_method
boolean | do_fancy_upsampling
boolean | do_block_smoothing
boolean | quantize_colors
J_DITHER_MODE | dither_mode
boolean | two_pass_quantize
int | desired_number_of_colors
boolean | enable_1pass_quant
boolean | enable_external_quant
boolean | enable_2pass_quant
JDIMENSION | output_width
JDIMENSION | output_height
int | out_color_components
int | output_components
int | rec_outbuf_height
int | actual_number_of_colors
JSAMPARRAY | colormap
JDIMENSION | output_scanline
int | input_scan_number
JDIMENSION | input_iMCU_row
int | output_scan_number
JDIMENSION | output_iMCU_row
int(* | coef_bits )[DCTSIZE2]
JQUANT_TBL * | quant_tbl_ptrs [NUM_QUANT_TBLS]
JHUFF_TBL * | dc_huff_tbl_ptrs [NUM_HUFF_TBLS]
JHUFF_TBL * | ac_huff_tbl_ptrs [NUM_HUFF_TBLS]
int | data_precision
jpeg_component_info * | comp_info
boolean | progressive_mode
boolean | arith_code
UINT8 | arith_dc_L [NUM_ARITH_TBLS]
UINT8 | arith_dc_U [NUM_ARITH_TBLS]
UINT8 | arith_ac_K [NUM_ARITH_TBLS]
unsigned int | restart_interval
boolean | saw_JFIF_marker
UINT8 | JFIF_major_version
UINT8 | JFIF_minor_version
UINT8 | density_unit
UINT16 | X_density
UINT16 | Y_density
boolean | saw_Adobe_marker
UINT8 | Adobe_transform
boolean | CCIR601_sampling
jpeg_saved_marker_ptr | marker_list
int | max_h_samp_factor
int | max_v_samp_factor
int | min_DCT_scaled_size
JDIMENSION | total_iMCU_rows
JSAMPLE * | sample_range_limit
int | comps_in_scan
jpeg_component_info * | cur_comp_info [MAX_COMPS_IN_SCAN]
JDIMENSION | MCUs_per_row
JDIMENSION | MCU_rows_in_scan
int | blocks_in_MCU
int | MCU_membership [D_MAX_BLOCKS_IN_MCU]
int | Ss
int | Se
int | Ah
int | Al
int | unread_marker
jpeg_decomp_master * | master
jpeg_d_main_controller * | main
jpeg_d_coef_controller * | coef
jpeg_d_post_controller * | post
jpeg_input_controller * | inputctl
jpeg_marker_reader * | marker
jpeg_entropy_decoder * | entropy
jpeg_inverse_dct * | idct
jpeg_upsampler * | upsample
jpeg_color_deconverter * | cconvert
jpeg_color_quantizer * | cquantize

## Field Documentation

JHUFF_TBL* ac_huff_tbl_ptrs[NUM_HUFF_TBLS]

| Definition at line 1052 of file jpeglib.h.

int actual_number_of_colors

| Definition at line 1004 of file jpeglib.h.

UINT8 Adobe_transform

| Definition at line 1084 of file jpeglib.h.

int Ah

| Definition at line 1134 of file jpeglib.h.

int Al

| Definition at line 1134 of file jpeglib.h.

UINT8 arith_ac_K[NUM_ARITH_TBLS]

| Definition at line 1069 of file jpeglib.h.

boolean arith_code

| Definition at line 1065 of file jpeglib.h.

UINT8 arith_dc_L[NUM_ARITH_TBLS]

| Definition at line 1067 of file jpeglib.h.

UINT8 arith_dc_U[NUM_ARITH_TBLS]

| Definition at line 1068 of file jpeglib.h.

int blocks_in_MCU

| Definition at line 1129 of file jpeglib.h.

boolean buffered_image

| Definition at line 962 of file jpeglib.h.

boolean CCIR601_sampling

| Definition at line 1086 of file jpeglib.h.

struct jpeg_color_deconverter* cconvert

| Definition at line 1154 of file jpeglib.h.

struct jpeg_d_coef_controller* coef

| Definition at line 1147 of file jpeglib.h.

int(* coef_bits)[DCTSIZE2]

| Definition at line 1037 of file jpeglib.h.

JSAMPARRAY colormap

| Definition at line 1005 of file jpeglib.h.

jpeg_component_info* comp_info

| Definition at line 1061 of file jpeglib.h.

int comps_in_scan

| Definition at line 1122 of file jpeglib.h.

struct jpeg_color_quantizer* cquantize

| Definition at line 1155 of file jpeglib.h.

jpeg_component_info* cur_comp_info[MAX_COMPS_IN_SCAN]

| Definition at line 1123 of file jpeglib.h.

int data_precision

| Definition at line 1059 of file jpeglib.h.

JHUFF_TBL* dc_huff_tbl_ptrs[NUM_HUFF_TBLS]

| Definition at line 1051 of file jpeglib.h.

J_DCT_METHOD dct_method

| Definition at line 965 of file jpeglib.h.

UINT8 density_unit

| Definition at line 1080 of file jpeglib.h.

int desired_number_of_colors

| Definition at line 973 of file jpeglib.h.

J_DITHER_MODE dither_mode

| Definition at line 971 of file jpeglib.h.

boolean do_block_smoothing

| Definition at line 967 of file jpeglib.h.

boolean do_fancy_upsampling

| Definition at line 966 of file jpeglib.h.

boolean enable_1pass_quant

| Definition at line 975 of file jpeglib.h.

boolean enable_2pass_quant

| Definition at line 977 of file jpeglib.h.

boolean enable_external_quant

| Definition at line 976 of file jpeglib.h.

struct jpeg_entropy_decoder* entropy

| Definition at line 1151 of file jpeglib.h.

struct jpeg_inverse_dct* idct

| Definition at line 1152 of file jpeglib.h.

JDIMENSION image_height

| Definition at line 947 of file jpeglib.h.

JDIMENSION image_width

| Definition at line 946 of file jpeglib.h.

JDIMENSION input_iMCU_row

| Definition at line 1021 of file jpeglib.h.

int input_scan_number

| Definition at line 1020 of file jpeglib.h.

struct jpeg_input_controller* inputctl

| Definition at line 1149 of file jpeglib.h.

UINT8 JFIF_major_version

| Definition at line 1078 of file jpeglib.h.

UINT8 JFIF_minor_version

| Definition at line 1079 of file jpeglib.h.

J_COLOR_SPACE jpeg_color_space

| Definition at line 949 of file jpeglib.h.

jpeg_common_fields

| Definition at line 938 of file jpeglib.h.

struct jpeg_d_main_controller* main

| Definition at line 1146 of file jpeglib.h.

struct jpeg_marker_reader* marker

| Definition at line 1150 of file jpeglib.h.

jpeg_saved_marker_ptr marker_list

| Definition at line 1092 of file jpeglib.h.

struct jpeg_decomp_master* master

| Definition at line 1145 of file jpeglib.h.

int max_h_samp_factor

| Definition at line 1101 of file jpeglib.h.

int max_v_samp_factor

| Definition at line 1102 of file jpeglib.h.

int MCU_membership[D_MAX_BLOCKS_IN_MCU]

| Definition at line 1130 of file jpeglib.h.

JDIMENSION MCU_rows_in_scan

| Definition at line 1127 of file jpeglib.h.

JDIMENSION MCUs_per_row

| Definition at line 1126 of file jpeglib.h.

int min_DCT_scaled_size

| Definition at line 1104 of file jpeglib.h.

int num_components

| Definition at line 948 of file jpeglib.h.

int out_color_components

| Definition at line 987 of file jpeglib.h.

J_COLOR_SPACE out_color_space

| Definition at line 956 of file jpeglib.h.

int output_components

| Definition at line 988 of file jpeglib.h.

double output_gamma

| Definition at line 960 of file jpeglib.h.

JDIMENSION output_height

| Definition at line 986 of file jpeglib.h.

JDIMENSION output_iMCU_row

| Definition at line 1028 of file jpeglib.h.

int output_scan_number

| Definition at line 1027 of file jpeglib.h.

JDIMENSION output_scanline

| Definition at line 1015 of file jpeglib.h.

JDIMENSION output_width

| Definition at line 985 of file jpeglib.h.

struct jpeg_d_post_controller* post

| Definition at line 1148 of file jpeglib.h.

boolean progressive_mode

| Definition at line 1064 of file jpeglib.h.

JQUANT_TBL* quant_tbl_ptrs[NUM_QUANT_TBLS]

| Definition at line 1048 of file jpeglib.h.

boolean quantize_colors

| Definition at line 969 of file jpeglib.h.

boolean raw_data_out

| Definition at line 963 of file jpeglib.h.

int rec_outbuf_height

| Definition at line 992 of file jpeglib.h.

unsigned int restart_interval

| Definition at line 1071 of file jpeglib.h.

JSAMPLE* sample_range_limit

| Definition at line 1115 of file jpeglib.h.

boolean saw_Adobe_marker

| Definition at line 1083 of file jpeglib.h.

boolean saw_JFIF_marker

| Definition at line 1076 of file jpeglib.h.

unsigned int scale_denom

| Definition at line 958 of file jpeglib.h.

unsigned int scale_num

| Definition at line 958 of file jpeglib.h.

int Se

| Definition at line 1134 of file jpeglib.h.

struct jpeg_source_mgr* src

| Definition at line 941 of file jpeglib.h.

int Ss

| Definition at line 1134 of file jpeglib.h.

JDIMENSION total_iMCU_rows

| Definition at line 1106 of file jpeglib.h.

boolean two_pass_quantize

| Definition at line 972 of file jpeglib.h.

int unread_marker

| Definition at line 1140 of file jpeglib.h.

struct jpeg_upsampler* upsample

| Definition at line 1153 of file jpeglib.h.

UINT16 X_density

| Definition at line 1081 of file jpeglib.h.

UINT16 Y_density

| Definition at line 1082 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- jpeglib.h